このスレッドは解決済です(未解決に戻す場合はこちら)
<<戻る

amavisd-newのインストールエラー このメッセージに返信する
日時: 2006/01/18 01:12
名前: つか
URL:
はじめまして。
丁寧な記述で参考にさせて頂き、非常に助かっております。

メールサーバーでウィルス&スパムチェック(Postfix+Clam AntiVirus+SpamAssassin)の項目になるのですが

yum -y install amavisd-new

にてamavisd-newのインストールをかけると下記のエラーが出て正常にインストールが完了しません。。

Error: Missing Dependency: perl(Unix::Syslog) is needed by package amavisd-new

分からないまま

perl -MCPAN -e shell
cpan> install Unix::Syslog

と言うことをしてみたのですが結果は同じでした。(これで対策になっているのかも分かりませんが。。)

対策を教えていただけたらありがたいです。
宜しくお願いいたします。
記事編集 編集
Re: amavisd-newのインストールエラー このメッセージに返信する
日時: 2006/01/18 11:23
名前: つか
URL:
自己解決しました。

vi /etc/yum.repos.d/dag.repo にて

perl-Unix-Syslog を追加して

yum -y install perl-Unix-Syslog でperl-Unix-Syslogのインストールが出来

yum -y install amavisd-new をしたところうまくインストールが出来ました。
記事編集 編集
件名※必須
名前※必須
URL
任意のパスワード (投稿後のコメント修正・削除時に使用)
画像認証※必須 投稿キー(画像で表示されている数字を入力)
コメント※必須

※質問を投稿後に自己解決された場合は、原因と行った対処を具体的に書き込み下さるよう、よろしくお願いします。

- WEB PATIO -